---
title: "Update a session"
url: https://docs.gleap.ai/en/reference/rest-api/update-session
method: PUT
path: "/sessions/{sessionId}"
api: "API Reference"
tag: "Session"
operationId: "UpdateSession"
updatedAt: "2026-11-01T18:40:15.677Z"
language: en
---

# Update a session

`PUT https://api.gleap.io/v3/sessions/{sessionId}`

Update a session (contact) in the project from the `project` header. The fields `userId`, `project`, `organisation`, `gleapId` and `gleapHash` are ignored if sent. Changing `tags` requires the tag permissions of the calling agent. Setting `companyId` automatically creates the company if it does not exist yet.

## Authorization

- `Authorization` (header, required): `Bearer <token>`

## Path parameters

- `sessionId` (string, required)

## Headers

- `project` (string, required)

## Request body (`application/json`, required)

## Example request

```bash
curl --request PUT \
  --url 'https://api.gleap.io/v3/sessions/{sessionId}' \
  --header 'Authorization: Bearer <token>' \
  --header 'project: <project>' \
  --header 'Content-Type: application/json' \
  --data '{}'
```

## Responses

### 200 (`application/json`)

Ok
